Summary:	Directory hierarchy for default icon theme
Summary(pl.UTF-8):	Struktura katalogów dla domyślnego motywu ikon
Name:		hicolor-icon-theme
Version:	0.17
Release:	2
License:	GPL v2
Group:		Base
Source0:	http://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
# Source0-md5:	84eec8d6f810240a069c731f1870b474
Patch0:		%{name}-more-dirs.patch
URL:		http://freedesktop.org/wiki/Software/icon-theme/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# Conflicts:	gnome-icon-theme < 1.0.9
Conflicts:	kdelibs < 9:3.2.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Directory hierarchy for default icon theme.

%description -l pl.UTF-8
Struktura katalogów dla domyślnego motywu ikon.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/symbolic/actions

# gtk+2 cache
touch $RPM_BUILD_ROOT%{_iconsdir}/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{_iconsdir}/hicolor
%{_iconsdir}/hicolor/*x*
%{_iconsdir}/hicolor/scalable
%{_iconsdir}/hicolor/symbolic
%ghost %{_iconsdir}/hicolor/icon-theme.cache
%changelog
* Tue May 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hicolor-icon-theme.git;a=log;h=master

* Tue May 11 2021 Jan Rękorajski <baggins@pld-linux.org> fc661e1
- package hicolor/symbolic/actions
- rel 2

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 76c83ac
- Update to 0.17

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 1b056cb
- existing URL

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 1d3ac05
- updated to 0.15
- updated more-dirs patch

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 64c2036
- updated to 0.13

* Thu Mar 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2768544
- rel 8; add 1024x1024 (retina) icons dir

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> cf4e4d6
- add 80x80 dir, release 7.

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> 91e0e32
- Add 512x512 dir
Release 6

* Tue Feb 21 2012 Grzesiek Pycia <gzohop@pld-linux.org> cb1a610
- rel 5
- add 20x20 hierarchy (linuxdcpp)

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 044e79c
- rel 4
- add 160x160 hierarchy (orage)
- move adding random dirs to a generic solution via patch

* Tue Dec 21 2010 Elan Ruusamäe <glen@pld-linux.org> 480c781
- package gtk+2 icon-theme.cache
- rel 3

* Wed Aug 11 2010 shadzik <shadzik@pld-linux.org> 0ce20f6
- add 42/8 devices dir

* Tue Jan 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 2878606
- obsolete

* Tue Jan 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 585700e
- updated to 0.12
- removed obsolete -256-size.patch

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 18f1f4e
- added -256-size.patch (support for 256x256 icons)
- release 3

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> da58c4b
- add 256x256 size (from upstream)

* Fri Dec 28 2007 Elan Ruusamäe <glen@pld-linux.org> 538d28e
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0894686
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8cb7717
- converted to UTF-8

* Tue Jan 16 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 5e46f89
- BA: noarch

